hadoop-yarn-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Steve Loughran <ste...@hortonworks.com>
Subject Re: [DISCUSS] Set minimum version of Hadoop 3 to JDK8 (HADOOP-11858)
Date Wed, 11 May 2016 16:20:07 GMT
> 
> On 10 May 2016, at 16:32, Akira AJISAKA <ajisakaa@oss.nttdata.co.jp> wrote:
> 
> Hi developers,
> 
> Before cutting 3.0.0-alpha RC, I'd like to drop JDK7 support in trunk.

+1

Given Robert Kanter first filed the patch to do this —why not give him the honour. In fact,
why not have a webex screen share of the occasion so we can all celebrate?



> Given this is a critical change, I'm thinking we should get the consensus first.
> 
> One concern I think is, when the minimum version is set to JDK8, we need to configure
Jenkins to disable multi JDK test only in trunk.
> 

LGTM

We'll need to be strict after the switch: all patches to go into branch 2 will have to go
through yetus as branch-2 patches, then cherry picked to trunk, or a separate patch on the
same JIRA done for the branch-2. Assuming yetus still tests the branch-2 stuff on JDK7, that
will check version compatibility pre-commit
---------------------------------------------------------------------
To unsubscribe, e-mail: yarn-dev-unsubscribe@hadoop.apache.org
For additional commands, e-mail: yarn-dev-help@hadoop.apache.org

Mime
View raw message